>From 29a8196ae7e5a57c43245119624bcc339d11dfb4 Mon Sep 17 00:00:00 2001
From: Amir <amir@localhost.localdomain>
Date: Mon, 5 Oct 2015 15:10:34 +0300
Subject: [PATCH] On search msgid hit, prefer the returned msgid for redirect

---
 pgweb/search/views.py | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/pgweb/search/views.py b/pgweb/search/views.py
index 4b5a143..79b845d 100644
--- a/pgweb/search/views.py
+++ b/pgweb/search/views.py
@@ -205,7 +205,11 @@ def search(request):
 			# Right now the only supported dict result is a messageid
 			# match, but make sure that's what it is.
 			if hits['messageidmatch'] == 1:
-				return HttpResponseRedirect("/message-id/%s" % query)
+				# if messageid is returned, the db found the returned
+				# value as an exact value for this field in the db.
+				# this should be safe, but we really ought to escape it.
+				# TODO: escape_uri_path (django 1.8)
+				return HttpResponseRedirect("/message-id/%s" % hits.get('messageid',query))
 
 		totalhits = len(hits)
 		querystr = "?m=1&q=%s&l=%s&d=%s&s=%s" % (
-- 
2.4.3

